can't install Debian 8 Jessie

Peter
Peter New Member Posts: 6
hi

i tryed to install the actual debian setup. i made a usb drive ready to boot from. this worked ( i used rufus)
i can enter username, pwassword and things like that. then i come to the point who i can choose the drive to install the new system. i've only the usb drive to choose. i can't choose the internal memory of my up board.
what can i doo to install debian 7 oder 8?
with the live image i'm not able to boot from.

i can install linuxmint 18 with no problem, and ubilinux. but i need debiean 7 or 8 for linuxcnc!

Peter

Comments

  • DCleri
    DCleri Administrator, AAEON Posts: 1,210 admin
    Hi trilobyte,

    Unfortunately the Kernel available on Debian Jessie is too old and it doesn't include support for the eMMC on UP Board.

    That is why we created ubilinux 3.0 (which is a Debian Jessie derivative).
    In our distribution/installer we include a customised 4.4 Debian Kernel with HDMI audio support, 40-pin I/O support, eMMC support, etc and other packages like LibMRAA, RPi-GPIO, ubiworx, etc.
  • Peter
    Peter New Member Posts: 6
    Hi dcleri

    I installed ubilinux. I installed then the backport of the Preemtive RT kernel. I need the Preemtive RT Kernel for linuxcnc in combination with ethernet boards (7i76e). With this kernel i get crashes from time to time.
    With the Ublinux is was not anable to use the Linuxcnc buildbot to install Linuxcnc. i get an error message because i'm using the wrong distribution or something like that.

    BR
    Peter
  • DCleri
    DCleri Administrator, AAEON Posts: 1,210 admin
    the preempt_rt patch may be not compatible with some of the kernel drivers on the UP Debian Kernel or the ubilinux user space applications which differs from a standard Debian.

    Are you installing linuxcnc from http://buildbot.linuxcnc.org/ repositories for Jessie?

    Unfortunately some software looks for the distribution name to check the compatibility with a specific system.
    If you can force the installation of the packages the software should work. All the packages available on Debian Jessie are also available on ubilinux 3.0.
  • Peter
    Peter New Member Posts: 6
    >Are you installing linuxcnc from buildbot.linuxcnc.org/ repositories for Jessie?

    yes this is what i tryed.

    >Unfortunately some software looks for the distribution name to check the compatibility with a specific system.
    If you can force the installation of the packages the software should work. All the packages available on Debian Jessie are also available on ubilinux 3.0.

    it is only a package available for wheezy. and for the mesa card (7i76e) is a preemptive RT kernel necessary.

    i installed Linux mint serena. this is no problem. i found a guide to compile a RT kernel for serena. this worked. but i wasn't able to build linuxcnc from the sources. this is to much for me, because i'm not realy fit in linux things.
  • Peter
    Peter New Member Posts: 6
    i compiled a new preemtive RT kernel for linuxmint 18.1 and compiled the linuxcnc from the sources. this works with the mesa 7i76e now.
  • DCleri
    DCleri Administrator, AAEON Posts: 1,210 admin
    Hi trilobyte,

    Thanks for the good news!

    If you want to share your findings with the community please let me know and we can enable you to add a new page in the UP wiki or a blog article for the UP Community.